#!/bin/bash

BASE_DIR="$HOME/Library/Application Support/plus4emu"
MAKECFG="`dirname \"$0\"`/makecfg"

"$MAKECFG" "$BASE_DIR"

if [ -e "$HOME/.plus4emu/plus4cfg.dat" ] ; then
  rm -f "$BASE_DIR/plus4cfg.dat"
  mv "$HOME/.plus4emu/plus4cfg.dat" "$BASE_DIR/plus4cfg.dat" ;
fi

if [ -e "$HOME/.plus4emu/gui_cfg.dat" ] ; then
  rm -f "$BASE_DIR/gui_cfg.dat"
  mv "$HOME/.plus4emu/gui_cfg.dat" "$BASE_DIR/gui_cfg.dat" ;
fi

rmdir "$HOME/.plus4emu"

if ( ! [ -e "$BASE_DIR/roms/dos15412.rom" ] ) ; then
  SAVED_CWD="`pwd`"
  mkdir -p "$BASE_DIR/roms" || exit -1
  cd "$BASE_DIR/roms" || exit -1
  curl -o plus4emu_roms.zip http://www.sharemation.com/IstvanV/roms/plus4emu_roms.zip
  unzip -o plus4emu_roms.zip
  rm -f plus4emu_roms.zip
  cd "$SAVED_CWD" ;
fi

